#!/bin/bash
#
# plots the pagerank given the date
#
for e in `ls ../sim/counts-*`; do
    ev=${e/..\/sim\/counts-/}
    ./plot-counts-given-date.pl $e ../sim/graph | grep -v ^0 > ../sim/mydcounts
    cat > ../sim/gnuplot.cmd <<EOF
set terminal pbm gray
set nokey
set output "../sim/date-${ev}.pnm"
set title "${ev} given date (log scale) vs date"
plot "../sim/mydcounts" using (\$1):(log(\$2/\$4)) with points
EOF
    gnuplot ../sim/gnuplot.cmd
    pnmtops -noturn -dpi 300 -equalpixels ../sim/date-${ev}.pnm > ../sim/date-${ev}.ps
done
