#!/bin/bash
#
# plots the frequency of documents with respect to the date
#
cat ../sim/graph | grep -v ^\# | cut -d ' ' -f2 | ./freq | sort -n | grep -v ^0 > ../sim/mydfreq
cat > ../sim/gnuplot.cmd <<EOF
set terminal pbm gray
set nokey
set output "../sim/date-freq.pnm"
set title "Numbers of documents (log scale) versus date"
set logscale y
set nologscale x
plot "../sim/mydfreq" using (\$1):(\$2) with lines
EOF
gnuplot ../sim/gnuplot.cmd
pnmtops -noturn -dpi 300 -equalpixels ../sim/date-freq.pnm > ../sim/date-freq.ps

