#!/bin/bash
#
# plots the pagerank counts for different values of epsilon
#
for e in `ls ../sim/counts-pagerank-*`; do
    for f in `ls ../sim/counts-pagerank-*`; do 
	ev=${e/.*-/}
	fv=${f/.*-/}
	if [ "${ev}" '>' "${fv}" ]; then
	    ./mergecounts.pl ${e} ${f} > ../sim/mycounts
	    cat > ../sim/gnuplot.cmd <<EOF
set terminal pbm gray
set nokey
set output "../sim/pagerank-${ev}_vs_${fv}.pnm"
set title "PageRank distribution ${ev} vs ${fv} (logarithmic scale)"
plot "../sim/mycounts" using (log(\$2)):(log(\$5)) with points
EOF
	    gnuplot ../sim/gnuplot.cmd
	    pnmtops -noturn -dpi 300 -equalpixels ../sim/pagerank-${ev}_vs_${fv}.pnm > ../sim/pagerank-${ev}_vs_${fv}.ps
	fi
    done
done