/** @file simplehash.cc */
/* 
 * Copyright (C) 2002 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer <laird@lbreyer.com>
 */

#include "simplehash.h"
#include <iostream>

#ifdef UNIT_TEST

#define MAKE_STATEMENT(x) \
do { \
  cout << "argv[0]: testing " #x << endl; \
  cout << "output: " << endl; \
  (x); \
} while(false)

#define MAKE_TEST(x,y) \
do { \
   cout << argv[0] << ": " << (((x) == (y)) ? "PASSED" : "FAILED") << " " #x <<endl; \
} while(false)

#define MAKE_TEST_EX(x,y) \
do { \
   try { \
     (x); \
     cout << argv[0] << ": FAILED" << " " #x << endl; \
   } catch (y) { \
     cout << argv[0] << ": PASSED" << " " #x << endl; \
   } \
} while(false)

int main(int argc, char** argv) {
  
  SimpleHashTable<char*> *sha = new SimpleHashTable<char*>(5);
  
  MAKE_TEST(sha->Insert(1,"banana"),true);
  MAKE_TEST(sha->Insert(2,"apple"),true);
  MAKE_TEST(sha->Insert(2,"green apple"),false); // duplicate key
  MAKE_TEST(sha->Insert(3,"orange"),true);
  MAKE_TEST(sha->Insert(4,"kiwi"),true);
  MAKE_TEST(sha->Insert(5,"cherry"),true);
  MAKE_TEST_EX(sha->Insert(5,"pineapple"),overflow_error); // table overflow

}
#endif
